<?php
// POS command: Do not modify
// Includes
include_once 'PHPLibraries/GlobalFunctions.php';
include_once 'PHPLibraries/DBFunctions.php';
include_once 'PHPLibraries/CartFunctions.php';
include_once 'PHPLibraries/WebStats.php';

global $TempDictionary;

// Main Routine
{

	if (!array_key_exists('Data', $_GET))
	{
		ShowMain('', false);
	}
	else
	{
		ShowMain($_GET['Data'], true);
	}

}


function ShowMain($TempParameter, $TempLocalStart = false)
{

	if ($TempParameter <> '')
	{

	if ($TempLocalStart)
	{
		StartSession();
	}
	
	DBGetSettings();
	
	LoadDictionary();
		
	$TempPassed = true;
	

	if ($TempPassed)
	{
		$_SESSION['$_GET[Data]'] = $TempParameter;
		
		$TempSort = '';

		if (array_key_exists('Sort', $_GET))
		{
			$TempSort = $_GET['Sort'];
		}
		else
		{
			$TempSort = $_SESSION['Settings']['DefaultSortProperty'];
		}

		$_SESSION['Sort'] = $TempSort;
		
		$TempLoadingMain = false;
		
		switch ($TempParameter)
		{
		case 'Main':
			
			if (array_key_exists('Lang', $_GET))
				{
				$_SESSION['Tongue'] = $_GET['Lang'];
				}

			if (!array_key_exists('Tongue', $_SESSION))
				{
				$_SESSION['Tongue'] = 0;
				}

			//ShowMainPage();
			global $TempDictionary;
	

			$TempCustomInfos = array();
			
			$TempCustomInfos[] = 'Page';
			$TempCustomInfos[] = 'Main';
			
			$TempCustomInfos[] = 'Language';
			$TempCustomInfos[] = $_SESSION['Tongue'];
			
			$TempLoadingMain=true;

			$TempResult = array();
			
			if (file_exists('Data/Latest.txt'))
			{
				$TempResult = LoadFileIntoArray('Data/Latest.txt');
			}
						
			$TempProducts = DBGetProductDataFromIDsShort($TempResult, $_SESSION['Tongue']);
			
			// Invert array to get from older to more recent
			
			$TempInvertedProducts = array();
			
			for ($t = count($TempProducts)-1; $t >= 0 ; $t--)
			{
			$TempInvertedProducts[] = $TempProducts[$t];
			}
			
			$TempProducts = $TempInvertedProducts;
			
			$TempCustomInfos = array();
			
			$TempCustomInfos[] = 'Page';
			$TempCustomInfos[] = 'Main';

			$TempCustomInfos[] = 'Section';
			$TempCustomInfos[] = '';
		
			$TempCustomInfos[] = 'Sort';
			$TempCustomInfos[] = '';
			
			WriteStats(EncodeMessage($TempCustomInfos));		
			
			$_SESSION['LastCatalogueResult'] = $TempParameter;

			ShowResults($TempProducts);
			
			
			
			//WriteStats(EncodeMessage($TempCustomInfos));
			
			break;
			
		default:

			$TempResult = DBGetProductsIDsByPropertyValueStatement($TempParameter);
			
			$TempStatementData = explode(',', $TempParameter);
			
			$TempProducts = DBGetProductDataFromIDsShort($TempResult, $_SESSION['Tongue']);
			
			$TempProducts = DBSortProductData($TempProducts, $TempSort);
			
			$_SESSION['LastCatalogueResult'] = $TempParameter;
			
			$TempCurrentProperty = $_SESSION['Sort'];

			$TempPropertiesIndex = LoadUTF8FileIntoArray('Data/ProductPropertiesIndex.php');
			$TempPropertiesValuesIndex = LoadUTF8FileIntoArray('Data/ProductPropertiesValuesIndex.php');
	
			$TempCurrentPropertyName = $TempPropertiesIndex[$TempCurrentProperty];

			$TempSection = $_SESSION['$_GET[Data]'];
			$TempSection = substr($TempSection,strpos($TempSection,",") + 1);
			if (strpos($TempSection, ',') > -1)
			{
				$TempSection = substr($TempSection,0,strpos($TempSection,",") );
			}
	
			$TempSectionName = $TempPropertiesValuesIndex[$TempSection];
			
			$TempCustomInfos = array();
			
			$TempCustomInfos[] = 'Page';
			$TempCustomInfos[] = 'Catalog';

			$TempCustomInfos[] = 'Section';
			$TempCustomInfos[] = $TempSectionName;
		
			$TempCustomInfos[] = 'Sort';
			$TempCustomInfos[] = $TempCurrentPropertyName;
			
			WriteStats(EncodeMessage($TempCustomInfos));		
			
			ShowResults($TempProducts);
			break;
			
		}
		
	}
	else
	{
		echo "query error.<br>";
	}
	}
}

//function ShowMainPage()
//{
//	global $TempDictionary;
	
//	$TempTongue = $_SESSION['Tongue'];
//	$TempTemplate = LoadFile('Templates/Main'.$TempTongue.'.php');	
	
//	echo FillPageTemplate($TempTemplate);
	
//}

function FillPageTemplate($TempPage)
{
	$TempTongue = $_SESSION['Tongue'];
	
	$TempTemplate = $TempPage;
	
	$TempPropertiesIndex = LoadUTF8FileIntoArray('Data/ProductPropertiesIndex.php');
	$TempPropertiesValuesIndex = LoadUTF8FileIntoArray('Data/ProductPropertiesValuesIndex.php');

	$TempPropertySectionTemplate = LoadFile('Templates/TTemplateMenuPropertyLink'.$TempTongue.'.txt');
	
	$TempTemplate = str_replace('[MemberLogin]', GetLoginTemplate($TempTongue), $TempTemplate);
	$TempTemplate = str_replace('[Member.Name]', GetLoginName(), $TempTemplate);
	
	$TempPosStart = strpos($TempTemplate, '[PropLink:');
		
	$TempCount = 0;
	while ($TempPosStart > -1 and $TempCount < 50)
	{
		$TempPosEnd = strpos($TempTemplate, ']', $TempPosStart);
		$TempLength = $TempPosEnd-$TempPosStart;
		
		$TempFilterData = '';
	
		if ($TempTemplate[$TempPosEnd+1] == "[")
			{
			// Found property filter
			$TempFilterPropertyData = array();
			
			$TempValueStart = $TempPosEnd+2;
			$TempValuePos = strpos($TempTemplate, "]", $TempValueStart);
			$TempSubLength = $TempValuePos - $TempValueStart;

			$TempData = substr($TempTemplate, $TempValueStart, $TempSubLength);
			$TempFilterPropertyData = explode('|',$TempData);
		
			$TempTemplate = substr_replace($TempTemplate,'', $TempValueStart-1, $TempSubLength+2);
		
			$g = 0;
			
			while ($g < count($TempFilterPropertyData))
			{
				$TempName =  $TempFilterPropertyData[$g];
				$TempValue =  $TempFilterPropertyData[$g+1];
			
				$TempNameIndex = FindUTF8ItemInArray($TempName, $TempPropertiesIndex);
				$TempValueIndex = FindUTF8ItemInArray($TempValue, $TempPropertiesValuesIndex);
			
				$TempFilterData = $TempFilterData.",AND,".$TempNameIndex.",".$TempValueIndex;
				
				$g = $g +2;
			}
				
			}
		
		$TempMainPropertyName = substr($TempTemplate, $TempPosStart, $TempLength);
		$TempMainPropertyName = substr($TempMainPropertyName, strlen('[PropLink:'));
				
		$TempMainPropertyIndex = FindUTF8ItemInArray($TempMainPropertyName, $TempPropertiesIndex);
		
		if ($TempMainPropertyIndex == -1)
			{
			echo "Could not find property name: ".$TempMainPropertyName."<br>";
			}

			$TempPropertiesValues = LoadFileIntoArray('Data/PropertyValues-'.$TempMainPropertyIndex.'.php');

		$TempPropertiesNames = array();
		
		for ($t = 0; $t <= count($TempPropertiesValues) - 1; $t++)
		{
			$TempPropertiesNames[] = Translate($TempPropertiesValuesIndex[$TempPropertiesValues[$t]], $TempTongue)."|".$TempPropertiesValuesIndex[$TempPropertiesValues[$t]];
		}

		$TempPropertiesNames = SortAccentedArray($TempPropertiesNames);

		$TempHtml = '';
		
		
		
		for ($t = 0; $t <= count($TempPropertiesNames) - 1; $t++)
		{
			$TempTranslatedName = substr($TempPropertiesNames[$t],0,strpos($TempPropertiesNames[$t],'|'));
			$TempOriginalName = substr($TempPropertiesNames[$t], strpos($TempPropertiesNames[$t],'|')+1);

			// Filename for sections icons
			$TempPropertyFileName = $TempMainPropertyName."-".$TempOriginalName;
			$TempPropertyFileName = RemoveAccentedCharacters($TempPropertyFileName);
			$TempPropertyFileName = PREG_REPLACE("/[^0-9a-zA-Z---]/i", '', $TempPropertyFileName);
			//$TempPropertyFileName = "SectionIcons/".$TempPropertyFileName.".png";
			
			$TempPropertyIndex = FindUTF8ItemInArray($TempOriginalName, $TempPropertiesValuesIndex);
			
			$TempPropertySection = $TempPropertySectionTemplate;
			
		
			$TempLink = 'Show.php?Data='.$TempMainPropertyIndex.','.$TempPropertyIndex.$TempFilterData;
			//<a href="Link">sdfdsf</a>

			$TempPropertySection = str_replace("[PSLink]", $TempLink, $TempPropertySection);
			$TempPropertySection = str_replace("[PSName]", $TempTranslatedName, $TempPropertySection);
			$TempPropertySection = str_replace("[PSFileName]", $TempPropertyFileName, $TempPropertySection);

			// $TempLink = '<a href="'.$TempLink.'">'.$TempTranslatedName.'</a><br>';
			// $TempHtml = $TempHtml.$TempLink;
			$TempHtml = $TempHtml.$TempPropertySection;

		}
		
		$TempTemplate = substr_replace($TempTemplate,$TempHtml, $TempPosStart, $TempLength+1);

		$TempCount++;
		$TempPosStart = strpos($TempTemplate, '[PropLink:');
	}
	
	return $TempTemplate;
}

?>